Bug 1094135 - ABRT polkit policy is desktop centric, prevents server usage
Summary: ABRT polkit policy is desktop centric, prevents server usage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: abrt
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/abrt/abrt/pull/815
Whiteboard:
Depends On:
Blocks: 1094121
TreeView+ depends on / blocked
 
Reported: 2014-05-05 06:47 UTC by Stef Walter
Modified: 2014-05-13 19:24 UTC (History)
6 users (show)

Fixed In Version: abrt-2.2.1-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-13 19:24:03 UTC


Attachments (Terms of Use)

Description Stef Walter 2014-05-05 06:47:11 UTC
Description of problem:

The ABRT polkit policy is completely desktop-centric and expects that the admin user is logged in an active local session (ie: a seat in logind parlance, with a monitor and keyboard).

This prevents use of ABRT when logged in via ssh (and using pkttyagent as your polkit agent) or via Cockpit.

The <allow_any> tag in polkit policy applies to non-local sessions. It should be set to something other than 'no' unless the action directly affects hardware of the login seat.

Version-Release number of selected component (if applicable):

abrt-2.2.1-1.fc20.x86_64

How reproducible:

Every time.

Patch posted here:

https://github.com/abrt/abrt/pull/815

Comment 1 Stef Walter 2014-05-05 06:47:30 UTC
abrt-dbus-2.2.1-1.fc20.x86_64

Comment 2 Fedora Update System 2014-05-07 14:42:51 UTC
abrt-2.2.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/abrt-2.2.1-2.fc20

Comment 3 Fedora Update System 2014-05-08 10:16:45 UTC
Package abrt-2.2.1-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.2.1-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6128/abrt-2.2.1-2.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-05-13 19:24:03 UTC
abrt-2.2.1-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.